Support » Plugin: cformsII » cformsII 14.14: Unable to send email with PHP 7.3

  • Resolved vmarseguerra

    (@vmarseguerra)


    On a wordpress website in php 7.3 It was impossible for the plugin to send an email when a form is submitted.
    No matter what configuration when a form is submitted it always return the error: “You must provide at least one recipient email address.”
    With a wordpress website on php 7.2 no issue at all.

    After some investigations it seem to be caused by regex checks in the constructor of cforms2_mail (file lib_email.php
    https://plugins.trac.wordpress.org/browser/cforms2/trunk/lib_email.php). As php 7.3 is now using the PCRE2, these regex no longer compile which causes the error above.

    This bug seem to be fixed 10 days ago in this commit: https://github.com/bgermann/cforms2/commit/baca232c5973668501d3b964ad873738b4a30a13

    Do you have any schedule about the next release ?

    For now, escaping hyphens in all regex makes them working again, which solve my problem.

    I am posting this in case somebody run into the same trouble, it might save some debugging times 🙂

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘cformsII 14.14: Unable to send email with PHP 7.3’ is closed to new replies.